Package org.eclipse.rdf4j.query.resultio.sparqlxml

## Class SPARQLStarResultsXMLParser

- java.lang.Object
- - org.eclipse.rdf4j.query.resultio.AbstractQueryResultParser
  - - org.eclipse.rdf4j.query.resultio.sparqlxml.AbstractSPARQLXMLParser
    - - org.eclipse.rdf4j.query.resultio.sparqlxml.SPARQLResultsXMLParser
      - - org.eclipse.rdf4j.query.resultio.sparqlxml.SPARQLStarResultsXMLParser

- All Implemented Interfaces:
    `QueryResultParser`, `TupleQueryResultParser`, `ErrorHandler`

      @Experimental
      public class SPARQLStarResultsXMLParser
      extends SPARQLResultsXMLParser

  Parser for reading tuple query results formatted as SPARQL Results Documents, extended with support for RDF-star triples
  Author:
    Jeen Broekstra

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.query.resultio.AbstractQueryResultParser

      `handler, valueFactory`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SPARQLStarResultsXMLParser()` |
    `SPARQLStarResultsXMLParser​(ValueFactory valueFactory)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `TupleQueryResultFormat` | `getTupleQueryResultFormat()` | Gets the query result format that this parser can parse.

    - ### Methods inherited from class org.eclipse.rdf4j.query.resultio.sparqlxml.SPARQLResultsXMLParser

      `getQueryResultFormat, parse, parseQueryResult, setTupleQueryResultHandler`

    - ### Methods inherited from class org.eclipse.rdf4j.query.resultio.sparqlxml.AbstractSPARQLXMLParser

      `error, fatalError, getCompulsoryXmlFeatureSettings, getCompulsoryXmlPropertySettings, getOptionalXmlFeatureSettings, getOptionalXmlPropertySettings, getSupportedSettings, parseQueryResultInternal, reportWarning, warning`

    - ### Methods inherited from class org.eclipse.rdf4j.query.resultio.AbstractQueryResultParser

      `getParseErrorListener, getParseLocationListener, getParserConfig, set, setParseErrorListener, setParseLocationListener, setParserConfig, setQueryResultHandler, setValueFactory`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.resultio.QueryResultParser

      `getParserConfig, getSupportedSettings, set, setParseErrorListener, setParseLocationListener, setParserConfig, setQueryResultHandler, setValueFactory`

- - ### Constructor Detail

    - #### SPARQLStarResultsXMLParser

          public SPARQLStarResultsXMLParser()

    - #### SPARQLStarResultsXMLParser

          public SPARQLStarResultsXMLParser​(ValueFactory valueFactory)

  - ### Method Detail

    - #### getTupleQueryResultFormat

          public TupleQueryResultFormat getTupleQueryResultFormat()

      Description copied from interface: `TupleQueryResultParser`
      Gets the query result format that this parser can parse.
      Specified by:
        `getTupleQueryResultFormat` in interface `TupleQueryResultParser`
      Overrides:
        `getTupleQueryResultFormat` in class `SPARQLResultsXMLParser`